[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] djm: improve support for rebooting several nodes at once

Holger Levsen (@holger) gitlab at salsa.debian.org
Wed Apr 19 10:39:27 BST 2023



Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net


Commits:
a898428f by Holger Levsen at 2023-04-19T11:38:57+02:00
djm: improve support for rebooting several nodes at once

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -


1 changed file:

- bin/djm


Changes:

=====================================
bin/djm
=====================================
@@ -176,7 +176,7 @@ for NODE in $TARGET ; do
 	# action
 	#
 	case $ACTION in
-		reboot)	ssh $NODE "sudo reboot || read enter" || true
+		reboot)	( ssh $NODE "sudo reboot || read enter" || true ) & sleep 2
 			TMPFILE=$(mktemp --tmpdir=/tmp djm-XXXXXXXX)
 			cat > $TMPFILE << EOF
 #!/bin/bash
@@ -193,7 +193,7 @@ done
 rm $TMPFILE
 EOF
 			echo xterm -class deploy-jenkins -bg $BG -fa 'DejaVuSansMono' -fs 10 -e "bash $TMPFILE" 
-			xterm -T "$SHORTNODE / reboot ($TMPFILE)" -class deploy-jenkins -bg $BG -fa 'DejaVuSansMono' -fs 10 -e "bash $TMPFILE" &
+			( sleep 30 ; xterm -T "$SHORTNODE / reboot ($TMPFILE)" -class deploy-jenkins -bg $BG -fa 'DejaVuSansMono' -fs 10 -e "bash $TMPFILE" ) &
 			echo
 			;;
 		powercycle)	case $SHORTNODE in



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/a898428f2821274bae590b8ddd2dddf322353c32

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/a898428f2821274bae590b8ddd2dddf322353c32
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20230419/7034ae32/attachment-0001.htm>


More information about the Qa-jenkins-scm mailing list